File information

Last updated

Original upload

Created by

Cirosan and shadwar

Uploaded by

Cirosan

Virus scan

Safe to use

2483 comments

  1. Cirosan
    Cirosan
    • member
    • 375 posts
    • 141 kudos
    Locked
    Sticky
    Hiya folks, looks like things have been going awry with FDI since the latest update. Sorry about that, and sorry for being away for so long. I got hit by a car in November so that's really limited what I could do. But I'm up to being on the computer now, so I'll see what I can do. Pretty fortuitous timing, actually, checking in on the mod as it's having problems.

    So, here's the deal: Give me a little while to get situated and comfortable with editing FDI again. It's a tad overwhelming to come back after so long and see such a huge mod with all these languages and everything. I understand there's problems with Nuka World, Survival mode, and the High Res Patch, so I've got some targets to look at. In the meantime, give me a little while, and then I'll be back to fix things. I can't really give you an exact date, but I promise you won't be waiting anything outrageous like six months or anything.

    Okay? Okay! See you guys soon!
  2. Cirosan
    Cirosan
    • member
    • 375 posts
    • 141 kudos
    Locked
    Sticky
    For those experiencing string problems, try removing the .DLstrings and .ILstrings files that FDI adds. If you have those files added by another mod, keep them, but if they're from FDI, try deleting them.
  3. Cirosan
    Cirosan
    • member
    • 375 posts
    • 141 kudos
    Sticky
    Full Dialogue Interface has been updated to Beta12, which extends support for the 1.7 patch to all languages. Furthermore, all alternate string files and the manual install package have also been updated.

    Shamelessly copying from the changelog:
    * Updated all languages to support the new 1.7 patch.
    * Updated the installer to install support for the Vault-Tec Workshop DLC.
    * Extended support for the Lite version to the Vault-Tec Workshop DLC. English only.
    * Fixed a few remaining typos in the English strings.

    Finally, because the recent patch changed the location of the main string files from Data\Strings to the Interface BA2, I'm considering converting Full Dialogue Interface into a BSA+ESP combo, with the new files packed away in a BA2 archive and a dummy plugin to determine their load order. This has the advantage of no longer messing with the Strings folder, which can cause problems if NMM hiccups or if instructions are followed incorrectly. However, this would also mean that achievements would be disabled for those using FDI because of the addition of a plugin. Yes, I know there's a mod that re-enables them, but that might be a concern for some users. The shift would also require rewriting all of the documentation, which means I'd need volunteers from every language again. Finally, it would mean lots of load order troubleshooting would take the place of Strings folder troubleshooting. The current rule of thumb on the Xbox version (which uses a BSA+ESP format) is to load FDI's plugin last, but load order strategies never survive contact with the enemy, so that could prove to be a new avenue of trouble.

    If you have an opinion on whether or not FDI should make the change to a BSA+ESP format, leave a comment.

    Have fun!
    - Ciro
    1. BlandSauce
      BlandSauce
      • supporter
      • 76 posts
      • 9 kudos
      I would vote for the ba2 method.
    2. TheMagician16
      TheMagician16
      • supporter
      • 535 posts
      • 17 kudos
      I would love to have the option to have both. Maybe BA2 + ESP as main download, and Loose files for advanced users of some sort?
    3. NooBzPoWaH
      NooBzPoWaH
      • premium
      • 493 posts
      • 8 kudos
      I'd say like TheMagician16, IF that's not too much trouble keeping up updating both of these methods.
      That would be great, it's always nice to have an option (whenever possible) without an ESP (due to the 255 limitation, some of us might be reaching).
    4. I2edShift
      I2edShift
      • premium
      • 2,417 posts
      • 85 kudos
      I see the need to convert this into a BSA+ESP when it's already working as-is.

      With the mod in loose file format it will either work 100% of the time... Or it won't work at all. Load order conflicts will always be something people have to be mindful of regardless, but in loose file format it's an all-or-nothing approach. On top of that, I see no reason to have this mod (that's again already working as-is) eat another space in the load order when it doesn't really need to. The Fallout modding community has a terrible habbit of needing a bazillion compatibility patches to get many small mods to work together. It seems like Fallout 4 will unfortunately follow suit, but time will tell.

      My .02c.
    5. Merovign
      Merovign
      • supporter
      • 90 posts
      • 0 kudos
      I'd like to see an ESP version, as currently I'm unable to get this running without a CTD from the main menu via *any* method, NMM or manual. And I detest the Wheel of Unfortunate Dialogue. (Yes I tried All The Methods and the BA2 version).
    6. Drowsy
      Drowsy
      • supporter
      • 619 posts
      • 8 kudos
      I hope you add a ba2+esp version, if i use this mod currently i get those lookup errors.
    7. Greg200
      Greg200
      • member
      • 24 posts
      • 0 kudos
      Did you ever find a fix for the LOOKUP error on exit? I have the same problem and still haven't seen a fix or patch to FDI to prevent that problem.
      Thanks
    8. Nakagami
      Nakagami
      • member
      • 1 posts
      • 0 kudos
      having a way to modify the load order would be REALLY helpful, considering i have mods that MUST be loaded after this one in order to retain the VA (nick valentine romance mod rip me)
    9. SGTDRE
      SGTDRE
      • supporter
      • 1,108 posts
      • 23 kudos
      Glad to see you doing good and your feeling much better, Believe Me, I know what you have been through all to well, it's not fun being made to imitate superman. I know I'm a bit late, I used your mod on XB1 but I want to get FO4 running on PC and found your mod just recently, In my honest opinion, you might be better off going with the B2A+esp. if not only for ease of install for many, but If you can also make manual option available, well that is if you have not done so already.

      But I did have A question, other than the main Beta12 install, there two updated files, I take it that they both need or must be installed, yeah this maybe a Duh "Q" but I'm sure where you are in process of making corrections and simply whether or not you are doing the B2A+esp rout or not.

      Thank you again for making this, I really like it, Kudos.
    10. MuteButtonHero
      MuteButtonHero
      • supporter
      • 108 posts
      • 1 kudos
      +1 for BA2 + esp

      For those with a lot of mods, a lot of the little ones contain nothing but game settings. You can collect those and put them all into an esp of your own (bonus: you can tweak those settings to exactly match your preference while doing so), OR if you can't edit an esp you can use this method.

      Here are some useful settings I have found or borrowed
      Spoiler:  
      Show
    11. Soulbringer1
      Soulbringer1
      • member
      • 594 posts
      • 1 kudos
      @ Cirosan :

      So we should remove 10 out of 15 string files that your mod added??
      Why not just remove them and repost? i don't understand.
    12. JPDodt
      JPDodt
      • member
      • 3 posts
      • 0 kudos
      any chance to ad gamepad compatibility and the lite version to portuguese?
  4. Cirosan
    Cirosan
    • member
    • 375 posts
    • 141 kudos
    Sticky
    At the request of several users, I've disabled bug reports for FDI, at least for the time being. As I've explained, 95% of reports were NMM issues (not mod issues) or were otherwise so vague as to be useless (lacking any steps to reproduce a bug, etc.). Add to that that I simply don't have the time to comb through all the reports that get sent in and I've decided it's for the best.

    From here on out: IF YOU HAVE A PROBLEM WITH THE MOD, THE VERY FIRST THING YOU SHOULD DO IS READ THE "TROUBLESHOOTING" SECTION IN THE DESCRIPTION. 99% of problems can be solved by following the instructions there. If that still doesn't help you, post in the comments and other users may be able to help you out - and, after a certain length of time, I'll be able to chime in as well if the issue persists.

    I apologize for any inconvenience this may cause.
  5. Cirosan
    Cirosan
    • member
    • 375 posts
    • 141 kudos
    Sticky
    Regarding translations:
    Currently, the documentation for the Chinese and Spanish versions are Google Translated. If you are a native speaker of those languages and you would like to help, the text that still needs to be translated can be found here:

    http://pastebin.com/QCd1vCnu

    To the best of my knowledge, the ten languages currently supported by FDI are all the languages Fallout 4 was officially released in. However, I could definitely be wrong - so if you know of any languages FO4 supports that aren't being supported by FDI, let me know. I'm always willing to add more translations.

    Further, if you can provide the .strings files for your language(s), that would greatly help. Translating the documentation into your language would also help immensely (the pastebin link above has the text that needs to be translated).

    To go into more detail about how to send me your language's .strings files:
    1. Go to your Fallout 4 directory (usually found in C:\Program Files (x86)\Steam\steamapps\common\Fallout 4 )
    2. Go into the Data folder.
    3. Go into the Strings folder.
    4. Inside, you should see three files, all named "Fallout4_[your language]" - there's a .strings file, a .ILstrings file, and a .DLstrings file. Copy these three files into a separate place on your computer.
    5. Use an online hosting service (such as Mega, Mediafire, Dropbox, and so on) to upload the files. Then, send me the link to download those files. Preferably send the link in a PM.

    Thank you all for your continued aid in helping FDI support as many users as possible.
    1. B3AK2453
      B3AK2453
      • account closed
      • 27 posts
      • 0 kudos
      Hey I translated the readme into German. What should I do with the file, should I give you a link on Dropbox? I wrote them into a message. Check your mailbox.
      Thanks for your efforts.
    2. Murdoc26
      Murdoc26
      • supporter
      • 4 posts
      • 0 kudos
      I translated the Readme in Italian, sent you the details in a message.
      Keep up the great work with the mod.
    3. LucasKaneqd
      LucasKaneqd
      • supporter
      • 176 posts
      • 2 kudos
      I can translate the readme into Spanish. Should I download the pastebin as txt and just translate?

      Can't seem to find the strings folder (maybe because I play in English?)
  6. Cirosan
    Cirosan
    • member
    • 375 posts
    • 141 kudos
    Sticky
    Unfortunately, I've received reports that NMM is still not handling installation/uninstallation properly in certain cases. Please note that this is a bug with NMM and not with the mod itself. NMM and Full Dialogue Interface are separate entities - I manage FDI, but I'm not on the NMM staff and I can't do anything about NMM issues myself.

    However, I have added a Troubleshooting section to the mod's description, which covers a few common problems users have with NMM and how to solve them. If you're experiencing problems, try referring to the Troubleshooting section. That being said, there are reports that running NMM as an admin is a possible fix, so do try that first.

    To any users still having issues with the NMM installer, please follow the link provided by DuskDweller below and post a detailed description of your problem there so that the NMM development team is aware of the problem.

    Here's what DuskDweller, Nexus staff, wished for me to communicate to users having issues installing Full Dialogue Interface with NMM:
    "I think this is a generic issue with the NMM setup and their systems, I advise you to tell anyone having issues with NMM to open a report in the proper section instead of bothering you:"
    http://forums.nexusmods.com/index.php?/tracker/project-3-mod-manager-open-beta/

    Finally, if you keep your mods and your game install on separate drives, there is a possible solution, courtesy PhoeniixFiire:
    "I realized that there was a change to NMM that requires you to enable multi-hdd mode if the mods are to be stored on a different drive than the one the game is on. This was not the case a while back when I was playing skyrim so I never thought to check for something like this. Anyway, for those of you have CTDs right after installation, this may be the issue if your setup is similar to mine. I wish NMM would throw up an error message or something instead of just failing to install the mods (and deleting the files to be replaced).

    Manual installation negates this issue, but you can also solve it by 1) setting it up with multi-hdd enabled so NMM creates symlinks from the mod location to the game installation, or 2) setting it up so the mods are stored on the same hard drive as the game. It took a bit of fiddling but I got it working and the mod now installs fine, so it was a settings/NMM issue, not actually this mod at all."
    1. DanScallion
      DanScallion
      • member
      • 86 posts
      • 0 kudos
      Had the same, until started to run NMM in administrator mode. Now it does install/uninstall correctly.
    2. morphalus
      morphalus
      • member
      • 2 posts
      • 0 kudos
      Thanks you ! i tried several things and running NMM as admin user fixed it !
    3. coolguy654
      coolguy654
      • member
      • 41 posts
      • 1 kudos
      My Problem is that the game would CTD on startup if NMM deactivated it (I.E. Profile switching). The Problem is that I have everything on one hard-drive and I've always ran NMM as an admin, so the usual suspects aren't in play.

      I think I found a quick and dirty solution though. First, I had the mod disabled, then manually installed the "Uninstall Strings." This made NMM Overwrite the Backup strings with this mod on activation and replace the backup strings on deactivation.
    4. 804R
      804R
      • supporter
      • 12 posts
      • 0 kudos
      I had a lot of issues, but I eventually did everything (except the Alternate BA2s) including running NMM as admin and now it finally works! Using the 1.3 beta version of the game. Thanks a lot!
    5. OverClocked56
      OverClocked56
      • premium
      • 267 posts
      • 10 kudos
      It is working with Mod Organizer 2.
    6. kilome
      kilome
      • member
      • 3 posts
      • 0 kudos
      Thanks, I didn't think of running NMM as an admin...
      I tried everything else, and Fallout kept crashing at startup, until I reinstalled in admin mode.
    7. vinx909
      vinx909
      • member
      • 429 posts
      • 3 kudos
      I get a CLD only when i use the automatron update. i use MO2, tried running as admin. is there anything else i might try?`

      Edit: OK, i managed to fix it. i launched as admin and merged the original file and the DLC update. i don't know if this will always work, but it did for me.
    8. unseelie
      unseelie
      • member
      • 94 posts
      • 1 kudos
      So how do we enable multi-hdd mode?
    9. Gohrna
      Gohrna
      • member
      • 8 posts
      • 0 kudos
      Mine just wont activate after I set it up
    10. ivanbqnov
      ivanbqnov
      • member
      • 394 posts
      • 4 kudos
      More than often NMM does not remove all the files from a mod... so prepare to deal with leftovers... )B

      I had the same problem, reinstalled the previous version, and I'm going to stick to it...
    11. ss4donnie
      ss4donnie
      • member
      • 4 posts
      • 0 kudos
      @Indrug dude you just solved my problem. I've been looking everywhere to find out why nmm wasn't installing mods fully. Lol i had to learn how to manually install now its back to normal. Thanks bro.
    12. Xemeten
      Xemeten
      • BANNED
      • 167 posts
      • 0 kudos
      same here, just wont activate somebody please help?
    13. tehdeviant
      tehdeviant
      • member
      • 4 posts
      • 0 kudos
      Mine just wont activate after I set it up. Tried the Admin fix too, didn't work :/
    14. Zektor
      Zektor
      • member
      • 46 posts
      • 0 kudos
      I deleted the file I downloaded and downloaded another one. Same version and everything, but now it installed fine, so worth a try for others.
    15. f33tz
      f33tz
      • member
      • 25 posts
      • 0 kudos
      Just wanted to chime in my solution to my random CTDs at startup (with MO2) since installing the files manually didn't resolve it for me, neither did merging the DLCs/running as admin.

      I created a dummy ESP with all of the files loaded into a BA2 and it works! No more crashes at startup.
  7. Prometheus2662
    Prometheus2662
    • member
    • 3 posts
    • 0 kudos
    I cant find the Fallout4Custom.ini file....it doesnt exist in my game
    1. jaderiver
      jaderiver
      • member
      • 9,044 posts
      • 49 kudos
      Its not in your C:\Documents\My Games\Fallout4 folder ?
    2. LordSarius
      LordSarius
      • member
      • 8 posts
      • 0 kudos
      Well, I'm having a similar problem - I likewise lack a Fallout4Custom.ini file, I only have a Fallout4_Default.ini

      I've already launched the game, so I know that's not the problem here.
  8. FoxHound157006
    FoxHound157006
    • member
    • 133 posts
    • 0 kudos
    It would be really cool if you had the Lite version in Portuguese Language.
  9. krankyman200
    krankyman200
    • member
    • 1 posts
    • 0 kudos
    I try to install the full dialogue default (brackets with numbers) option but while it gives me the full dialogue its in the vanilla diamond shape. Any way to fix this?
  10. 54yeggan
    54yeggan
    • supporter
    • 417 posts
    • 2 kudos
    Does this work with and/or conflict with XDI Framework?
  11. Hyacathusarullistad
    Hyacathusarullistad
    • member
    • 1,503 posts
    • 25 kudos
    I really wish there were a dialog HUD that had the shadow and numbers, but *no* brackets of any kind. Am I missing something here, or is this combination simply not available?
  12. JohnnyTheFinger
    JohnnyTheFinger
    • member
    • 112 posts
    • 0 kudos
    FDI doesn't work for me. The brackets work but I'm still paraphrasing. I'll stick to newdiag for now till I can get gud.
  13. sqigg
    sqigg
    • supporter
    • 913 posts
    • 8 kudos
    Is it just me or do we no longer get dialogue choices with our settlement vendors in the Far Harbor DLC . In the base game whenever I spoke to one of my vendors that I assigned to a store, they would always talk first, usually with ``I bet I got something you need`` (paraphrased) . Then I would have the choice to reply with generally 4 options; ``I just wanted to trade`` , ``Not now`` , ``Just looking`` or `Let`s see what you got`` .
    I just started playing the FH DLC, and now the vendor says nothing and I have to initiate the dialogue, in which my player just goes straight with a dialogue of `Let`s see what you got for armor``, etc.. If I want to change up the vendor`s personal load-out, I never get the opportunity again after I have assigned them to a store.
  14. DeidreTheHumble
    DeidreTheHumble
    • BANNED
    • 19 posts
    • 0 kudos
    https://www.nexusmods.com/fallout4/mods/27216
    This mod works better for gamepad, F.D.I is pretty horrible when it comes to controller.
    The mod i suggested allows you to utilize the D-pad to select individual options and see what each option means.
    Even if you're not going to switch for gamepad support, get it because of what i list below:
    Seeing what's a question or not, and seeing charisma challenges... ETC.
  15. lefttounge
    lefttounge
    • supporter
    • 5,104 posts
    • 92 kudos
    So funny af true story

    Spoiler:  
    Show

    My jaw dropped when I heard that and I was cracking up, lol af
    I was all like, DUDE? I didn't tell you to say all that, and I was dyin!
    so yeah this TOTALLY helps let you know everything you're going to say to be better prepared.
  16. 1GrayFox1
    1GrayFox1
    • premium
    • 83 posts
    • 1 kudos
    THE best dialogue mod out there. Thank you so much for making it. By the way, it was hard to find. "Dialogue" in the search didn't show it on the list. Found it only through another mod that had a link to it.
Top